Package com.tableau.hyperapi

# Enum Class TypeTag

java.lang.Object
java.lang.Enum<TypeTag>
com.tableau.hyperapi.TypeTag

All Implemented Interfaces:
  `Serializable`, `Comparable<TypeTag>`, `Constable`

public enum TypeTag extends Enum<TypeTag>
A SQL type tag.

- ## Nested Class Summary

  ## Nested classes/interfaces inherited from class java.lang.Enum

  `Enum.EnumDesc<E extends Enum<E>>`

- ## Enum Constant Summary

  Enum Constants
  Enum Constant
  Description
  `BIG_INT`
  bigint type
  `BOOL`
  Bool type
  `BYTES`
  bytes type
  `CHAR`
  char type
  `DATE`
  date type
  `DOUBLE`
  double type
  `FLOAT`
  float type
  `GEOGRAPHY`
  Deprecated alias for `TABGEOGRAPHY`.
  `INT`
  int type
  `INTERVAL`
  interval type
  `JSON`
  json type
  `NUMERIC`
  numeric type
  `OID`
  OID type
  `SMALL_INT`
  smallint type
  `TABGEOGRAPHY`
  tabgeography type
  `TEXT`
  text type
  `TIME`
  time type
  `TIMESTAMP`
  timestamp type
  `TIMESTAMP_TZ`
  timestamptz type
  `UNSUPPORTED`
  Unsupported type
  `VARCHAR`
  varchar type

- ## Method Summary

  Modifier and Type
  Method
  Description
  `static TypeTag`
  `valueOf(String name)`
  Returns the enum constant of this class with the specified name.
  `static TypeTag[]`
  `values()`
  Returns an array containing the constants of this enum class, in the order they are declared.

  ### Methods inherited from class java.lang.Enum

  `compareTo, describeConstable, equals, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

  ### Methods inherited from class java.lang.Object

  `getClass, notify, notifyAll, wait, wait, wait`

- ## Enum Constant Details

  - ### UNSUPPORTED

    public static final TypeTag UNSUPPORTED
    Unsupported type

  - ### BOOL

    public static final TypeTag BOOL
    Bool type

  - ### BIG_INT

    public static final TypeTag BIG_INT
    bigint type

  - ### SMALL_INT

    public static final TypeTag SMALL_INT
    smallint type

  - ### INT

    public static final TypeTag INT
    int type

  - ### NUMERIC

    public static final TypeTag NUMERIC
    numeric type

  - ### DOUBLE

    public static final TypeTag DOUBLE
    double type

  - ### OID

    public static final TypeTag OID
    OID type

  - ### BYTES

    public static final TypeTag BYTES
    bytes type

  - ### TEXT

    public static final TypeTag TEXT
    text type

  - ### VARCHAR

    public static final TypeTag VARCHAR
    varchar type

  - ### CHAR

    public static final TypeTag CHAR
    char type

  - ### JSON

    public static final TypeTag JSON
    json type

  - ### DATE

    public static final TypeTag DATE
    date type

  - ### INTERVAL

    public static final TypeTag INTERVAL
    interval type

  - ### TIME

    public static final TypeTag TIME
    time type

  - ### TIMESTAMP

    public static final TypeTag TIMESTAMP
    timestamp type

  - ### TIMESTAMP_TZ

    public static final TypeTag TIMESTAMP_TZ
    timestamptz type

  - ### TABGEOGRAPHY

    public static final TypeTag TABGEOGRAPHY
    tabgeography type

  - ### GEOGRAPHY

    public static final TypeTag GEOGRAPHY
    Deprecated alias for `TABGEOGRAPHY`. Will be removed as part of W-17701666.

  - ### FLOAT

    public static final TypeTag FLOAT
    float type

- ## Method Details

  - ### values

    public static TypeTag[] values()
    Returns an array containing the constants of this enum class, in the order they are declared.
    Returns:
      an array containing the constants of this enum class, in the order they are declared

  - ### valueOf

    public static TypeTag valueOf(String name)
    Returns the enum constant of this class with the specified name. The string must match exactly an identifier used to declare an enum constant in this class. (Extraneous whitespace characters are not permitted.)
    Parameters:
      `name` - the name of the enum constant to be returned.
    Returns:
      the enum constant with the specified name
    Throws:
      `IllegalArgumentException` - if this enum class has no constant with the specified name
      `NullPointerException` - if the argument is null